<?php
require_once( "massiv.php" );
html_begin( "Downloads" );
?>

<h3> <?php draw_dot(); ?> Downloads </h3>

<h5> Latest Stable Release (1.1b) </h5>

<p>
This is a version 1.1 licensed under LGPL. Since there were no changes in
the functionality of both the core library and the Demo since 1.1 we did not
make installers for this version. If you want to see the Demo, download the
1.1 version. The new 1.1b sources can be downloaded directly from
<a href="http://sourceforge.net/project/showfiles.php?group_id=16201">sourceforge</a>.
</p>

<h5> Version 1.1 </h5>

<p>
Version 1.1 is the first official release of the Massiv and an exemplary
application, "the Demo". The Demo can be downloaded from
<a href="http://sourceforge.net/project/showfiles.php?group_id=16201">sourceforge</a>
as a set of Win32 installers. The first one deploys the simulation to selected
<a href="http://prdownloads.sourceforge.net/massiv/simulation_install-1.1-release.exe?download">servers</a>,
the other installs individual
<a href="http://prdownloads.sourceforge.net/massiv/client_install-1.1-release.exe?download">clients</a>.
</p>

<p>
Since there are still no official servers on the Internet that clients can
connect to, you will have to setup your own server(s) first. Please follow
the installation wizard and/or consult the documention
(<a href="http://prdownloads.sourceforge.net/massiv/massiv_user_guide_cz-1.1.pdf?download">user guide</a>,
unfortunatelly in Czech).
</p>

<p>
You can build the Demo yourself from the sources as well (and this is the
only way how to deploy the simulation to Unix servers). In that case you will
need the <a href="http://prdownloads.sourceforge.net/massiv/massiv-1.1-src.tar.gz?download">core library and the demo sources</a>,
<a href="http://prdownloads.sourceforge.net/massiv/massiv_demo_data-1.1-src.tar.gz?download">the Demo application data</a>
and optionally <a href="http://prdownloads.sourceforge.net/massiv/massiv_demo_archives-1.1.tar.gz?download">initial archives</a>
holding the state of the precreated exemplary "world". Note that the archives
need not be downloaded separately if the simulation is deployed using the Win32
installer. The actual build procedure is the same as if the sources were
downloaded directly from the CVS.
</p>

<h5> Building the Demo from CVS </h5>

<p>
The CVS repository consits of three modules:
</p>

<ul>
    <li>
    <i>massiv</i> (sources of the Core library and the Demo, documentation)
    </li>

    <li>
    <i>demo_data</i> (data for the Demo)
    </li>

    <li>
    <i>demo_install</i> (Win32 installers and initial archives).
    </li>
</ul>

<p>
In order to build and run the Demo you will have to checkout
both massiv and demo_data. Consult the
<a href="http://prdownloads.sourceforge.net/massiv/massiv_programmers_guide-1.1.pdf?download">programmer's guide</a>,
chapter Compilation, to get exact build instructions. To replace the initial
archives created by the builder tool and use the precreated "factory" world,
simply unpack <i>demo_install/win32/simulation/server/archive/archive.zip</i>
to the archive directories of the installed server(s).
</p>

<h5> Documentation and Presentation </h5>

<p>
There is a separate
<a href="http://sourceforge.net/project/showfiles.php?group_id=16201&amp;package_id=121776">package</a>
containing the documentation of the Core library and the Demo, the introductory
presentation, simple user's guide for the Demo and doxygen-generated reference
guides.
</p>

<?php html_end(); ?>
